List seasons
curl --request GET \
--url https://sandbox.blitzboardstats.com/api/v1/blitz-api/seasons \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.blitzboardstats.com/api/v1/blitz-api/seasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.blitzboardstats.com/api/v1/blitz-api/seasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "66f0a1b2c3d4e5f678901789",
"year": 2026,
"season": "fall"
},
{
"_id": "66f0a1b2c3d4e5f678901790",
"year": 2026,
"season": "spring"
}
]
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}{
"error": 40101,
"message": "Invalid API key",
"timestamp": "2026-09-13T14:45:41.317Z",
"traceId": "req_41f0e6c8a5ea232a"
}Seasons
List seasons
List available seasons. Use _id as season when creating a team. Optional filters: year, season name.
GET
/
v1
/
blitz-api
/
seasons
List seasons
Authorizations
Public integration API key (bb_live_...). Not a login JWT.
Query Parameters
Filter by year
Example:
2026
Filter by season name
Available options:
spring, summer, fall, winter Example:
"fall"
Response
Seasons listed successfully
Show child attributes
Show child attributes
⌘I
